'FFSubmenu=Test
'FFName=Datumsfilter
'** Filterung der Computeransicht nach Exif-Aufnahmedatum
'** KGsoft, Andreas Kleingnther
' Version 1.1 vom 10.05.2011
' Version 1.2 vom 19.07.2012	<Heute> Button eingefgt
' Version 1.3 vom 12.04.2016	Fehlerbehandlung, wenn EXIF kein Datum beinhaltet; Prfung auf ungltiges Datum im Dialog
' Version 1.4 vom 06.08.2022	Jahresfilter bis 2029 erweitert

Option Explicit
const Version = "V 1.4"
const RegSchluessel = "Datumsfilter"							' Registryschlssel
Dim str, files, pfad,  i,  Taste
Dim letztes_Verzeichnis, akt_pfad, mark 
Dim aktiv, orgzeit, dat1, dat2, zraum
Dim problem

call Main

Sub Main
	if FF_GetProfile (RegSchluessel,"Initialisierung") <> "1" then
		Call Initalisierung_Registry
		aktiv = "1"
		mark = 1
	end if

	letztes_Verzeichnis = FF_GetProfile(RegSchluessel, "akt_Computeransicht")
	akt_pfad = FF_GetImagePath
	REM MsgBox "l.Vetz" & letztes_Verzeichnis
	REM MsgBox "akt P." & akt_pfad
	if letztes_Verzeichnis <> akt_pfad and mark = 0 then		' Pfad wurde gendert, kein Diaolog, aber Filter bleibt aktiv
		'FF_UpdateDir()
		Call Registry_lesen_zu_Variablen
		FF_WriteProfile RegSchluessel,"akt_Computeransicht", FF_GetImagePath
		Call Filter
	else
		Call Dialogaufbau
		if mark = 0 Then										' nicht bei Erstaufruf
			Call Registry_lesen
		End If
		do														' Auswertung Button
			Taste = FF_ShowDialog("Datumsfilter")
			Select Case Taste
				Case "zraum_bool"
					If FF_GetControl ("Datumsfilter", "zraum_bool") = "1" Then
						FF_EnableControl "Datumsfilter", "day2_combo", True
						FF_EnableControl "Datumsfilter", "month2_combo", True
						FF_EnableControl "Datumsfilter", "year2_combo", True
						FF_EnableControl "Datumsfilter", "Heute|", True
					Else
						FF_EnableControl "Datumsfilter", "day2_combo", False
						FF_EnableControl "Datumsfilter", "month2_combo", False
						FF_EnableControl "Datumsfilter", "year2_combo", False
						FF_EnableControl "Datumsfilter", "Heute|", False
						FF_SetControl "Datumsfilter","|", ""	' evtl. Fehlermeldung ausblenden		
					End If
				Case "Heute"									' betrifft Startdatum
					FF_SetControl "Datumsfilter","day_combo", Day(Date)
					Select Case Month(Date)
						Case "1"
							FF_SetControl "Datumsfilter","month_combo", "Januar"
						Case "2"	
							FF_SetControl "Datumsfilter","month_combo", "Februar"
						Case "3"	
							FF_SetControl "Datumsfilter","month_combo", "Mrz"
						Case "4"	
							FF_SetControl "Datumsfilter","month_combo", "April"
						Case "5"	
							FF_SetControl "Datumsfilter","month_combo", "Mai"
						Case "6"	
							FF_SetControl "Datumsfilter","month_combo", "Juni"
						Case "7"	
							FF_SetControl "Datumsfilter","month_combo", "Juli"
						Case "8"	
							FF_SetControl "Datumsfilter","month_combo", "August"
						Case "9"	
							FF_SetControl "Datumsfilter","month_combo", "September"
						Case "10"	
							FF_SetControl "Datumsfilter","month_combo", "Oktober"
						Case "11"	
							FF_SetControl "Datumsfilter","month_combo", "November"
						Case "12"	
							FF_SetControl "Datumsfilter","month_combo", "Dezember"
						End Select
					FF_SetControl "Datumsfilter","year_combo", Year(Date)
				Case "Heute|"									' betrifft Enddatum
					FF_SetControl "Datumsfilter","day2_combo", Day(Date)
					Select Case Month(Date)
						Case "1"
							FF_SetControl "Datumsfilter","month2_combo", "Januar"
						Case "2"	
							FF_SetControl "Datumsfilter","month2_combo", "Februar"
						Case "3"	
							FF_SetControl "Datumsfilter","month2_combo", "Mrz"
						Case "4"	
							FF_SetControl "Datumsfilter","month2_combo", "April"
						Case "5"	
							FF_SetControl "Datumsfilter","month2_combo", "Mai"
						Case "6"	
							FF_SetControl "Datumsfilter","month2_combo", "Juni"
						Case "7"	
							FF_SetControl "Datumsfilter","month2_combo", "Juli"
						Case "8"	
							FF_SetControl "Datumsfilter","month2_combo", "August"
						Case "9"	
							FF_SetControl "Datumsfilter","month2_combo", "September"
						Case "10"	
							FF_SetControl "Datumsfilter","month2_combo", "Oktober"
						Case "11"	
							FF_SetControl "Datumsfilter","month2_combo", "November"
						Case "12"	
							FF_SetControl "Datumsfilter","month2_combo", "Dezember"
						End Select
					FF_SetControl "Datumsfilter","year2_combo", Year(Date)
				Case "OK"
					problem = false				' Flag fr Datumsprfung
					dat1 = FF_GetControl("Datumsfilter","day_combo")  & "." & FF_GetControl("Datumsfilter","month_combo") & " " & FF_GetControl("Datumsfilter","year_combo")
					if IsDate(dat1) then		' gltiges Datum, also z.B. nicht "31.Februar 2013"  
						dat1 = CDate(dat1)
					Else
						problem = true
					End If
					dat2 = FF_GetControl("Datumsfilter","day2_combo")  & "." & FF_GetControl("Datumsfilter","month2_combo") & " " & FF_GetControl("Datumsfilter","year2_combo") 
					if IsDate(dat2) then		' gltiges Datum, also z.B. nicht "31.Februar 2013"  
						dat2 = CDate(dat2)
					Else
						problem = true
					End If
					zraum = FF_GetControl("Datumsfilter", "zraum_bool")
					if zraum = "1" and dat1 > dat2 Then 
						problem = true
					End If
					if problem = true Then		' Irgendwas stimmt mit den Datumsangaben nicht
						REM FF_SetControl "Datumsfilter","|", "Fehleingabe!!!"
						Msgbox "Ungltige Datumsangabe", 48 
					Else
						aktiv = "1"
						Call Registry_schreiben
						Call Filter
						exit do
					End If
				Case "nicht filtern"
					aktiv = "0"
					Call Registry_schreiben
					Exit Sub
				Case "CANCEL"
					aktiv = "0"
					Call Registry_schreiben
					Exit Sub
				Case "?"
					Call Hilfetext
			End Select
		loop
	end if
End Sub	

Sub Filter	
REM on error resume next
	If aktiv = "1" Then			' Filter aktiv
		files = split(FF_GetParam(),vbLf)
		For i=0 to ubound(files)
			FF_LoadExif files(i)
			IF FF_HasExif() then
				orgzeit = FF_GetExifTag ("DateTimeOriginal")
				orgzeit = Replace(Left(orgzeit, 10),":",".")
				if IsDate(orgzeit) = true Then		' gltiges Exif-Datum enthalten?
					orgzeit = CDate(orgzeit)
					if zraum = "1" Then								' Zeitraumfilter
						if orgzeit >= dat1 and orgzeit <= dat2 Then
							If len(str) > 0 Then
								str = str & vbLf
							End If
							str = str & files(i)
						End If
					Else											' Tagesfilter
						if orgzeit = dat1 Then
							If len(str) > 0 Then
								str = str & vbLf
							End If
							str = str & files(i)
						End If
					End If
				End if 
			End If
		Next
		FF_SetParam(str)
	End If
REM on error goto 0
End Sub

Sub Initalisierung_Registry
	FF_WriteProfile RegSchluessel,"Initialisierung", "1"
	FF_WriteProfile RegSchluessel,"akt_Computeransicht", ""
	FF_WriteProfile RegSchluessel,"aktiv", "1"
End Sub

Sub Registry_schreiben
	FF_WriteProfile RegSchluessel,"akt_Computeransicht", FF_GetImagePath
	FF_WriteProfile RegSchluessel,"day", FF_GetControl("Datumsfilter","day_combo")
	FF_WriteProfile RegSchluessel,"month", FF_GetControl("Datumsfilter","month_combo")
	FF_WriteProfile RegSchluessel,"year", FF_GetControl("Datumsfilter","year_combo")
	FF_WriteProfile RegSchluessel,"day2", FF_GetControl("Datumsfilter","day2_combo")
	FF_WriteProfile RegSchluessel,"month2", FF_GetControl("Datumsfilter","month2_combo")
	FF_WriteProfile RegSchluessel,"year2", FF_GetControl("Datumsfilter","year2_combo")
	FF_WriteProfile RegSchluessel,"zraum", FF_GetControl("Datumsfilter","zraum_bool")
	FF_WriteProfile RegSchluessel,"aktiv", aktiv
	FF_WriteProfile RegSchluessel,"gerade_aktiv", True
End Sub

Sub Registry_lesen
	FF_SetControl "Datumsfilter","day_combo", FF_GetProfile(RegSchluessel,"day")
	FF_SetControl "Datumsfilter","month_combo", FF_GetProfile(RegSchluessel,"month")
	FF_SetControl "Datumsfilter","year_combo", FF_GetProfile(RegSchluessel,"year")
	FF_SetControl "Datumsfilter","day2_combo", FF_GetProfile(RegSchluessel,"day2")
	FF_SetControl "Datumsfilter","month2_combo", FF_GetProfile(RegSchluessel,"month2")
	FF_SetControl "Datumsfilter","year2_combo", FF_GetProfile(RegSchluessel,"year2")
	FF_SetControl "Datumsfilter","zraum_bool", FF_GetProfile(RegSchluessel,"zraum")
	aktiv = FF_GetProfile(RegSchluessel,"aktiv")			
	If FF_GetControl ("Datumsfilter", "zraum_bool") = "0" Then	' zweites Datum ggf. deaktivieren
		FF_EnableControl "Datumsfilter", "day2_combo", False
		FF_EnableControl "Datumsfilter", "month2_combo", False
		FF_EnableControl "Datumsfilter", "year2_combo", False
		FF_EnableControl "Datumsfilter", "Heute|", False
	End If
End Sub

Sub Registry_lesen_zu_Variablen
	aktiv = FF_GetProfile(RegSchluessel,"aktiv")
	dat1 = FF_GetProfile(RegSchluessel,"day") & "." & FF_GetProfile(RegSchluessel,"month") & " " & FF_GetProfile(RegSchluessel,"year")
	dat1 = CDate(dat1)
	dat2 = FF_GetProfile(RegSchluessel,"day2") & "." & FF_GetProfile(RegSchluessel,"month2") & " " & FF_GetProfile(RegSchluessel,"year2")
	dat2 = CDate(dat2)
	zraum = FF_GetProfile(RegSchluessel,"zraum")
End Sub

Sub Dialogaufbau
	'** Start Dialog Datumsfilter **
	FF_AddDialog "Datumsfilter",191,52
	FF_AddControl "Datumsfilter","OK","BUTTON",152,36,33,11
	FF_AddControl "Datumsfilter","nicht filtern","BUTTON",116,36,33,11
	FF_AddControl "Datumsfilter","(erneuter Aufruf mit F5)","STATIC",5,36,102,11
	FF_AddControl "Datumsfilter","?","BUTTON",76,36,13,11
	FF_AddControl "Datumsfilter","day_combo","COMBO",5,6,19,10
	FF_AddControl "Datumsfilter","month_combo","COMBO",25,6,38,10
	FF_AddControl "Datumsfilter","year_combo","COMBO",64,6,25,10
	FF_AddControl "Datumsfilter","day2_combo","COMBO",101,6,19,10
	FF_AddControl "Datumsfilter","month2_combo","COMBO",121,6,38,10
	FF_AddControl "Datumsfilter","year2_combo","COMBO",160,6,25,10
	FF_AddControl "Datumsfilter","zraum_bool","BOOL",101,20,8,8
	FF_SetControlStyle "Datumsfilter","zraum_bool",16384
	FF_AddControl "Datumsfilter","Zeitraum","STATIC",112,18,27,11
	FF_AddControl "Datumsfilter","|","STATIC",34,19,60,11
	FF_SetControlStyle "Datumsfilter","|",2
	FF_AddControl "Datumsfilter","Heute","BUTTON",5,20,20,11
	FF_AddControl "Datumsfilter","Heute|","BUTTON",165,20,20,11
	FF_AddControl "Datumsfilter",Version,"STATIC",93,36,14,11
	'** End Dialog Datumsfilter **
	
	
	FF_SetControl "Datumsfilter","day_combo", "1"
	FF_SetControl "Datumsfilter","day_combo", "2"
	FF_SetControl "Datumsfilter","day_combo", "3"
	FF_SetControl "Datumsfilter","day_combo", "4"
	FF_SetControl "Datumsfilter","day_combo", "5"
	FF_SetControl "Datumsfilter","day_combo", "6"
	FF_SetControl "Datumsfilter","day_combo", "7"
	FF_SetControl "Datumsfilter","day_combo", "8"
	FF_SetControl "Datumsfilter","day_combo", "9"
	FF_SetControl "Datumsfilter","day_combo", "10"
	FF_SetControl "Datumsfilter","day_combo", "11"
	FF_SetControl "Datumsfilter","day_combo", "12"
	FF_SetControl "Datumsfilter","day_combo", "13"
	FF_SetControl "Datumsfilter","day_combo", "14"
	FF_SetControl "Datumsfilter","day_combo", "15"
	FF_SetControl "Datumsfilter","day_combo", "16"
	FF_SetControl "Datumsfilter","day_combo", "17"
	FF_SetControl "Datumsfilter","day_combo", "18"
	FF_SetControl "Datumsfilter","day_combo", "19"
	FF_SetControl "Datumsfilter","day_combo", "20"
	FF_SetControl "Datumsfilter","day_combo", "21"
	FF_SetControl "Datumsfilter","day_combo", "22"
	FF_SetControl "Datumsfilter","day_combo", "23"
	FF_SetControl "Datumsfilter","day_combo", "24"
	FF_SetControl "Datumsfilter","day_combo", "25"
	FF_SetControl "Datumsfilter","day_combo", "26"
	FF_SetControl "Datumsfilter","day_combo", "27"
	FF_SetControl "Datumsfilter","day_combo", "28"
	FF_SetControl "Datumsfilter","day_combo", "29"
	FF_SetControl "Datumsfilter","day_combo", "30"
	FF_SetControl "Datumsfilter","day_combo", "31"
	FF_SetControl "Datumsfilter","month_combo", "Januar"
	FF_SetControl "Datumsfilter","month_combo", "Februar"
	FF_SetControl "Datumsfilter","month_combo", "Mrz"
	FF_SetControl "Datumsfilter","month_combo", "April"
	FF_SetControl "Datumsfilter","month_combo", "Mai"
	FF_SetControl "Datumsfilter","month_combo", "Juni"
	FF_SetControl "Datumsfilter","month_combo", "Juli"
	FF_SetControl "Datumsfilter","month_combo", "August"
	FF_SetControl "Datumsfilter","month_combo", "September"
	FF_SetControl "Datumsfilter","month_combo", "Oktober"
	FF_SetControl "Datumsfilter","month_combo", "November"
	FF_SetControl "Datumsfilter","month_combo", "Dezember"
	FF_SetControl "Datumsfilter","year_combo", "1999"
	FF_SetControl "Datumsfilter","year_combo", "2000"
	FF_SetControl "Datumsfilter","year_combo", "2001"
	FF_SetControl "Datumsfilter","year_combo", "2002"
	FF_SetControl "Datumsfilter","year_combo", "2003"
	FF_SetControl "Datumsfilter","year_combo", "2004"
	FF_SetControl "Datumsfilter","year_combo", "2005"
	FF_SetControl "Datumsfilter","year_combo", "2006"
	FF_SetControl "Datumsfilter","year_combo", "2007"
	FF_SetControl "Datumsfilter","year_combo", "2008"
	FF_SetControl "Datumsfilter","year_combo", "2009"
	FF_SetControl "Datumsfilter","year_combo", "2010"
	FF_SetControl "Datumsfilter","year_combo", "2011"
	FF_SetControl "Datumsfilter","year_combo", "2012"
	FF_SetControl "Datumsfilter","year_combo", "2013"
	FF_SetControl "Datumsfilter","year_combo", "2014"
	FF_SetControl "Datumsfilter","year_combo", "2015"
	FF_SetControl "Datumsfilter","year_combo", "2016"
	FF_SetControl "Datumsfilter","year_combo", "2017"
	FF_SetControl "Datumsfilter","year_combo", "2018"
	FF_SetControl "Datumsfilter","year_combo", "2019"
	FF_SetControl "Datumsfilter","year_combo", "2020"
	FF_SetControl "Datumsfilter","year_combo", "2021"
	FF_SetControl "Datumsfilter","year_combo", "2022"
	FF_SetControl "Datumsfilter","year_combo", "2023"
	FF_SetControl "Datumsfilter","year_combo", "2024"
	FF_SetControl "Datumsfilter","year_combo", "2025"
	FF_SetControl "Datumsfilter","year_combo", "2026"
	FF_SetControl "Datumsfilter","year_combo", "2027"
	FF_SetControl "Datumsfilter","year_combo", "2028"
	FF_SetControl "Datumsfilter","year_combo", "2029"
	
	FF_SetControl "Datumsfilter","day2_combo", "1"
	FF_SetControl "Datumsfilter","day2_combo", "2"
	FF_SetControl "Datumsfilter","day2_combo", "3"
	FF_SetControl "Datumsfilter","day2_combo", "4"
	FF_SetControl "Datumsfilter","day2_combo", "5"
	FF_SetControl "Datumsfilter","day2_combo", "6"
	FF_SetControl "Datumsfilter","day2_combo", "7"
	FF_SetControl "Datumsfilter","day2_combo", "8"
	FF_SetControl "Datumsfilter","day2_combo", "9"
	FF_SetControl "Datumsfilter","day2_combo", "10"
	FF_SetControl "Datumsfilter","day2_combo", "11"
	FF_SetControl "Datumsfilter","day2_combo", "12"
	FF_SetControl "Datumsfilter","day2_combo", "13"
	FF_SetControl "Datumsfilter","day2_combo", "14"
	FF_SetControl "Datumsfilter","day2_combo", "15"
	FF_SetControl "Datumsfilter","day2_combo", "16"
	FF_SetControl "Datumsfilter","day2_combo", "17"
	FF_SetControl "Datumsfilter","day2_combo", "18"
	FF_SetControl "Datumsfilter","day2_combo", "19"
	FF_SetControl "Datumsfilter","day2_combo", "20"
	FF_SetControl "Datumsfilter","day2_combo", "21"
	FF_SetControl "Datumsfilter","day2_combo", "22"
	FF_SetControl "Datumsfilter","day2_combo", "23"
	FF_SetControl "Datumsfilter","day2_combo", "24"
	FF_SetControl "Datumsfilter","day2_combo", "25"
	FF_SetControl "Datumsfilter","day2_combo", "26"
	FF_SetControl "Datumsfilter","day2_combo", "27"
	FF_SetControl "Datumsfilter","day2_combo", "28"
	FF_SetControl "Datumsfilter","day2_combo", "29"
	FF_SetControl "Datumsfilter","day2_combo", "30"
	FF_SetControl "Datumsfilter","day2_combo", "31"
	FF_SetControl "Datumsfilter","month2_combo", "Januar"
	FF_SetControl "Datumsfilter","month2_combo", "Februar"
	FF_SetControl "Datumsfilter","month2_combo", "Mrz"
	FF_SetControl "Datumsfilter","month2_combo", "April"
	FF_SetControl "Datumsfilter","month2_combo", "Mai"
	FF_SetControl "Datumsfilter","month2_combo", "Juni"
	FF_SetControl "Datumsfilter","month2_combo", "Juli"
	FF_SetControl "Datumsfilter","month2_combo", "August"
	FF_SetControl "Datumsfilter","month2_combo", "September"
	FF_SetControl "Datumsfilter","month2_combo", "Oktober"
	FF_SetControl "Datumsfilter","month2_combo", "November"
	FF_SetControl "Datumsfilter","month2_combo", "Dezember"
	FF_SetControl "Datumsfilter","year2_combo", "1999"
	FF_SetControl "Datumsfilter","year2_combo", "2000"
	FF_SetControl "Datumsfilter","year2_combo", "2001"
	FF_SetControl "Datumsfilter","year2_combo", "2002"
	FF_SetControl "Datumsfilter","year2_combo", "2003"
	FF_SetControl "Datumsfilter","year2_combo", "2004"
	FF_SetControl "Datumsfilter","year2_combo", "2005"
	FF_SetControl "Datumsfilter","year2_combo", "2006"
	FF_SetControl "Datumsfilter","year2_combo", "2007"
	FF_SetControl "Datumsfilter","year2_combo", "2008"
	FF_SetControl "Datumsfilter","year2_combo", "2009"
	FF_SetControl "Datumsfilter","year2_combo", "2010"
	FF_SetControl "Datumsfilter","year2_combo", "2011"
	FF_SetControl "Datumsfilter","year2_combo", "2012"
	FF_SetControl "Datumsfilter","year2_combo", "2013"
	FF_SetControl "Datumsfilter","year2_combo", "2014"
	FF_SetControl "Datumsfilter","year2_combo", "2015"
	FF_SetControl "Datumsfilter","year2_combo", "2016"
	FF_SetControl "Datumsfilter","year2_combo", "2017"
	FF_SetControl "Datumsfilter","year2_combo", "2018"
	FF_SetControl "Datumsfilter","year2_combo", "2019"
	FF_SetControl "Datumsfilter","year2_combo", "2020"
	FF_SetControl "Datumsfilter","year2_combo", "2021"
	FF_SetControl "Datumsfilter","year2_combo", "2022"
	FF_SetControl "Datumsfilter","year2_combo", "2023"
	FF_SetControl "Datumsfilter","year2_combo", "2024"
	FF_SetControl "Datumsfilter","year2_combo", "2025"
	FF_SetControl "Datumsfilter","year2_combo", "2026"
	FF_SetControl "Datumsfilter","year2_combo", "2027"
	FF_SetControl "Datumsfilter","year2_combo", "2028"
	FF_SetControl "Datumsfilter","year2_combo", "2029"
End Sub

'** Start Kurzbeschreibung *********************************
' Datumsfilter
' =================================================

' - filtert die Computeransicht nach dem in den Exif-Daten 
'    hinterlegten Aufnahmedatum
' - Filterung nach einem Datum oder einen Zeitraum
' - <Heute> filtert auf das aktuelle Tagesdatum
' - bei Angabe eines ungltigen Zeitraums erfolgt eine Warnung 
' - Filter bleibt auch nach Wechsel des Computer-Verzeichnisses wirksam
' - "nicht filtern" zeigt bis zum nchsten Aufruf des Filterdialogs alle Bilder an
' - erneuter Aufruf des Dialogs mit der Funktionstaste F5
' - Parameter des Filters stehen nach erneutem Aufruf wieder zur Verfgung
'
'   [Andreas Kleingnther, 2011, 2012]
'** Ende Kurzbeschreibung **********************************

Dim objFs, Kurzbeschreibung, KBvorhanden, LaengeMax
Dim WshShell

const SkriptName = "FFCFmt_Datumsfilter.vbs"			' Skriptname

Sub Hilfetext
	if not KBvorhanden then	call KurzbeschreibungLesen
	if KBvorhanden then
		set WshShell =  CreateObject("WScript.Shell")
		WshShell.Popup Kurzbeschreibung,,"Info"
	else
		msgbox "Keine Kurzbeschreibung gefunden!",,"Meldung"
	end if
End Sub

Sub KurzbeschreibungLesen
	on error resume next
	Const ForReading = 1
	Dim Skript, Anfang, Ende, Zeile
	
	Set objFS = CreateObject("Scripting.FileSystemObject")	 ' FileSystemObject
	Set Skript = objFS.OpenTextFile(FF_GetScriptPath & "\" & SkriptName, ForReading, False)
	
	if err.number = 53 then
		msgbox "Wahrscheinlich wurde der Originalskriptname " & """" & SkriptName & """" & " abgendert." & vbNewLine & _
		   	"Die Kurzbeschreibung kann daher nicht angezeigt werden.",,"Meldung"
		exit sub
	end if
	
	Do While Skript.AtEndOfStream <> True
		Zeile = Skript.ReadLine
		
		if instr(Zeile,"** Ende Kurzbeschreibung") > 0 then Ende = true
		if Ende then exit do
		
		if Anfang then Kurzbeschreibung = Kurzbeschreibung & mid(Zeile,2) & vbNewLine
		if len(Zeile)-1 > LaengeMax then LaengeMax = len(Zeile)-1
		
		if instr(Zeile,"** Start Kurzbeschreibung") > 0 then Anfang = true
	Loop
		
	if Anfang and Ende then KBvorhanden = true
	Skript.Close
End Sub
